---
title: Delete Startup Scripts
url: https://docs.vultr.com/products/orchestration/startup-scripts/management/delete-startup-scripts
description: Learn how to permanently remove custom startup scripts from your Vultr account when theyre no longer needed.
publish_date: 2024-09-23T20:21:23.876584Z
last_updated: 2025-09-29T05:10:34.452292Z
---

# How to Delete Startup Scripts for Vultr Instances

Deleting Startup Scripts for Vultr instances completely removes the script from your account. This step is necessary if you no longer need to run the commands when provisioning Cloud Compute instances. After deleting a startup script, you can't undo the operation, so you should take great care.

Follow this guide to delete Startup Scripts for Vultr instances using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Orchestration** and select **Scripts**.
    1. Select the target startup script and click the delete icon to remove the script.
    1. Confirm the new change and click **Delete**.
        
=== "Vultr API"

    1. Send a `GET` request to the [**List Startup Scripts** endpoint](https://www.vultr.com/api/#tag/startup/operation/list-startup-scripts) and note the script ID.

        ```console
        $ curl "https://api.vultr.com/v2/startup-scripts" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete Startup Script** endpoint](https://www.vultr.com/api/#tag/startup/operation/delete-startup-script) and specify a script ID.

        ```console
        $ curl "https://api.vultr.com/v2/startup-scripts/script_id" \
            -X DELETE \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all scripts.

        ```console
        $ vultr-cli script list 
        ```

    1. Delete a script by specifying a script ID.

        ```console
        $ vultr-cli script delete script_id
        ```
    
        Run `vultr-cli script delete --help` to view all options.

=== "Terraform"

    1. Open your Terraform configuration where the Startup Script is defined.

    1. Remove the `vultr_startup_script` resource block, or destroy it by target.

        ```terraform
        resource "vultr_startup_script" "boot" {
          name   = "Sample-Script"
          type   = "boot"  # boot | pxe
          script = "#!/bin/sh\necho hi\n"
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_startup_script.boot
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
